For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Introduction

Authentication

1curl https://api.givechariot.com/v1/nonprofit/530196605 \
2 -H "Authorization: Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc"
Was this page helpful?
Previous

Error Codes

Next
Built with

API access

The Chariot API uses API keys to authenticate requests.

Your API keys carry many privileges, so be sure to keep them secure! Do not share your secret API keys in publicly accessible areas such as GitHub, client-side code, and so forth.

Authentication to the API is performed via HTTP Bearer Token. Provide your API key as the Authentication: Bearer {TOKEN} value.

All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail.